aboutsummaryrefslogtreecommitdiffstats
path: root/testing/go-conf
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-01-03 14:50:21 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-01-03 15:22:00 +0000
commit1d94a29bc63b874ffdb3d9491e7c04c31073e26a (patch)
tree966618f49d31f726fca71071ffa03fe53a707199 /testing/go-conf
parentbcbc9e5c00949cafdb497c6dc468434907ed34bc (diff)
downloadaports-1d94a29bc63b874ffdb3d9491e7c04c31073e26a.tar.gz
aports-1d94a29bc63b874ffdb3d9491e7c04c31073e26a.tar.bz2
aports-1d94a29bc63b874ffdb3d9491e7c04c31073e26a.tar.xz
testing/go-conf: new aport
goconf package - fork from http://code.google.com/p/goconf/
Diffstat (limited to 'testing/go-conf')
-rw-r--r--testing/go-conf/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/go-conf/APKBUILD b/testing/go-conf/APKBUILD
new file mode 100644
index 0000000000..a950bde752
--- /dev/null
+++ b/testing/go-conf/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+# Maintainer:
+pkgname=go-conf
+_realname=goconf
+_vendor=dlintw
+pkgver=0_git20170102
+pkgrel=0
+pkgdesc="goconf package - fork from http://code.google.com/p/goconf/"
+url="https://github.com/$_vendor/$_realname"
+arch="noarch"
+license="Custom"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="http://dev.alpinelinux.org/archive/$r_ealname/$_realname-$pkgver.tar.gz"
+builddir="$srcdir"/$_realname-$pkgver
+
+giturl="https://github.com/dlintw/$_realname.git"
+disturl="larena@dev.alpinelinux.org:/archive/$_realname/$_realname-$pkgver.tar.gz"
+
+prepare() {
+ cd "$builddir"
+}
+
+build() {
+ cd "$builddir"
+}
+
+package() {
+ cd "$builddir"
+ mkdir -p "$pkgdir"/usr/share/doc/$_vendor/$pkgname \
+ "$pkgdir"/usr/lib/go/src/vendor/github.com/$_vendor/$_realname
+ for file in \
+ LICENSE \
+ README.md \
+ COPYRIGHT \
+ AUTHORS \
+ ; do \
+ test -e $file && mv $file "$pkgdir"/usr/share/doc/$_vendor/$pkgname
+ done
+ mv * "$pkgdir"/usr/lib/go/src/vendor/github.com/$_vendor/$_realname || return 1
+}
+
+md5sums="9209a3e0b10675898c3228348e6caa3d goconf-0_git20170102.tar.gz"
+sha256sums="d9b9b38114b6abc8aa02f8ebe2203ba46a0b263df89c23f0614b580391c73779 goconf-0_git20170102.tar.gz"
+sha512sums="b497d81356b8dc93b6421cadfd4e396399ff7eea183fec1509f925d46b3d19367294c2515589d3f1ee3dd20169980615a8bec030a9a7479274b9add2446c0e59 goconf-0_git20170102.tar.gz"